# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "AvrijAnalyticsUtility/version"

Gem::Specification.new do |spec|
  spec.name          = "AvrijAnalyticsUtility"
  spec.version       = AvrijAnalyticsUtility::VERSION
  spec.authors       = ["Michael Dalisay"]
  spec.email         = ["garfield@avrij.com"]

  spec.summary       = %q{Avrij Analytics Utility Gem}
  spec.description   = %q{Utility Gem}
  spec.homepage      = "https://github.com/Avrij/AvrijAnalyticsUtilityGem.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end
  spec.post_install_message = "AvrijAnalyticsUtility VERSION : #{AvrijAnalyticsUtility::VERSION}"
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency "httparty", "~> 0.15.5"
  spec.add_dependency "json", "~> 2.1"
  spec.add_dependency "activesupport", "~> 5.1", ">= 5.1.1"
end
